LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::MessageBoxResults Constant Group Reference

These constants are used to specify a result of executing a XMessageBox. More...

## Variables
const short | CANCEL = 0
| The user canceled the XMessageBox, by pressing "Cancel" or "Abort" button. More...
const short | OK = 1
| The user pressed the "Ok" button. More...
const short | YES = 2
| The user pressed the "Yes" button. More...
const short | NO = 3
| The user pressed the "No" button. More...
const short | RETRY = 4
| The user pressed the "Retry" button. More...
const short | IGNORE = 5
| The user pressed the "Ignore" button. More...

## Detailed Description

These constants are used to specify a result of executing a XMessageBox.

Since
  LibreOffice 4.2

## Variable Documentation

## ◆ CANCEL

const short CANCEL = 0

The user canceled the XMessageBox, by pressing "Cancel" or "Abort" button.

## ◆ IGNORE

const short IGNORE = 5

The user pressed the "Ignore" button.

## ◆ NO

const short NO = 3

The user pressed the "No" button.

## ◆ OK

const short OK = 1

The user pressed the "Ok" button.

## ◆ RETRY

const short RETRY = 4

The user pressed the "Retry" button.

## ◆ YES

const short YES = 2

The user pressed the "Yes" button.